Subject: Re: bug#31551: 27.0.50; emacs hangs in hexl-mode on modula2 files

From: Stefan Monnier <[email-masked]>
Date: Wed, 20 Jun 2018 10:27:08 -0400

>>> BTW, this "save previous major mode and then restore it" is something
>>> done in other places (at least doc-view-mode comes to mind, but
>>> I believe there are others as well) and we should try and avoid
>>> duplicating that code (i.e. develop a "standard" way to do it).
>> In the long run, certainly.
> Lightly tested patch below,

I interpret the lack of reaction as a tacit agreement that it's a good
idea.  So I plan on cleaning it up (and adding an entry in NEWS, not
sure if it deserves an entry in the lispref) and installing it
into master.

        Stefan